function succes(msg, url, sec) {
    if (/<|>/i.test(msg)) {
        msg = msg.replace(/<[^>]*?>/gi, "")
    }
    api.toast({
        msg: msg,
        duration: 2e3,
        location: "middle"
    });
    if (typeof url !== "undefined") {
        if ($api.byId("actionchild")) {
            $api.attr($api.byId("actionchild"), "data-res", 1);
            $api.text($api.byId("actionchild"), "已申请")
        }
        openpage("../html/webpage.html", "webpage", {
            url: url + "&appauth=" + appsetting.auth,
            title: "操作成功"
        })
    }
}

function succes_refresh(msg, sec) {
    if (/<|>/i.test(msg)) {
        msg = msg.replace(/<[^>]*?>/gi, "")
    }
    api.toast({
        msg: msg,
        duration: 2e3,
        location: "middle"
    });
    setTimeout(function() {
        location.reload()
    }, 2e3)
}

function error(msg, url, sec) {
    if (/<|>/i.test(msg)) {
        msg = msg.replace(/<[^>]*?>/gi, "")
    }
    api.toast({
        msg: msg,
        duration: 2e3,
        location: "middle"
    })
}

function error_refresh(msg, sec) {
    if (/<|>/i.test(msg)) {
        msg = msg.replace(/<[^>]*?>/gi, "")
    }
    api.toast({
        msg: msg,
        duration: 2e3,
        location: "middle"
    });
    setTimeout(function() {
        location.reload()
    }, 2e3)
}
var order = {
    tj_chek: function(uid, oid, source, sname, laiyuan) {
        var auth = api.getPrefs({
            sync: true,
            key: "auth"
        });
        if (!auth) {
            openpage("../html/login.html", "login", {
                laiyuan: laiyuan
            });
            return false
        }
        api.showProgress({
            title: "请求中",
            text: "",
            modal: false
        });
        $api.post(appsetting.apiurl + "index.php?m=Member&c=Appusercp&a=get_bind_taobao", {
            values: {
                source: source,
                auth: auth
            }
        }, function(data) {
            api.hideProgress();
            var d = dialog({
                content: "",
                fixed: true
            }).width(api.winWidth * .8).showModal();
            var html = '<div id="tbbox">';
            var obj = data;
            var tb_account, talk_content;
            if (obj.num > 0) {
                d.title("请选择" + sname + "账号");
                var strarr = [];
                for (var i = 0; i < obj.list.length; i++) {
                    strarr.push('<label><input type="radio" name="tb_account" value="' + obj.list[i].id + '"/><span></span>&nbsp;' + obj.list[i].account + "</label>")
                }
                d.content(html + strarr.join("") + "</div>")
            } else {
                d.close();
                api.confirm({
                    title: "请绑定" + sname + "账号",
                    msg: "点确定去绑定" + sname + "帐号",
                    buttons: ["确定", "取消"]
                }, function(ret, err) {
                    if (ret.buttonIndex == 1) {
                        openpage("../html/bindtaobao.html", "bindtaobao", {
                            laiyuan: laiyuan
                        })
                    }
                });
                return false
            }
            d.button([{
                value: "取消"
            }, {
                value: "确定",
                callback: function() {
                    if (obj.num < 1) {
                        d.close();
                        openpage("../html/bindtaobao.html", "bindtaobao", {
                            laiyuan: laiyuan
                        });
                        return false
                    }
                    var account = $("#tbbox [name='tb_account']:checked").val();
                    var content = $("#tbbox [name='talk_content']").val();
                    if (account) {
                        tb_account = account
                    }
                    if (typeof content !== "undefined") {
                        talk_content = content
                    } else {
                        if (!tb_account) {
                            error("请选择" + sname + "账号！");
                            return false
                        }
                        d.content(html + '<textarea class="aui-font-size-12" rows="3" cols="20" name="talk_content" placeholder="对商家说点什么，可以帮助您提高通过率"></textarea>' + "</div>")
                    }
                    if (!!tb_account && typeof talk_content !== "undefined") {
                        $api.post(appsetting.apiurl + "index.php?m=product&c=Appapi&a=pay_submit", {
                            values: {
                                auth: auth,
                                goods_id: oid,
                                bind_taobao: tb_account,
                                talk_content: talk_content
                            }
                        }, function(data, err) {
                            console.log("data=" + $api.jsonToStr(data));
                            console.log("err=" + $api.jsonToStr(err));
                            var obj = typeof data === "string" ? JSON.parse(data) : data;
                            if (obj.msg == "ok") {
                                if (obj.url) {
                                    api.execScript({
                                        name: "root",
                                        frameName: "wode",
                                        script: "location.reload()"
                                    });
                                    api.execScript({
                                        name: api.winName,
                                        frameName: api.frameName,
                                        script: "location.reload()"
                                    });
                                    succes(obj.info, obj.url, 1)
                                } else {
                                    succes_refresh(obj.info)
                                }
                            } else {
                                if (/qq/i.test(obj.info)) {
                                    d.close();
                                    order.bindqq(uid, oid, source, sname);
                                    return false
                                } else {
                                    error(obj.msg)
                                }
                            }
                        });
                        return true
                    } else {
                        return false
                    }
                }
            }])
        })
    },
    beforetj_chek: function(oid, source, sname, laiyuan) {
        if ($api.attr($api.byId("actionchild"), "data-res") > 0) {
            return false
        }
        console.log("source=" + source);
        console.log("sourname=" + sname);
        console.log($api.jsonToStr(appsetting));
        var uid = api.getPrefs({
            sync: true,
            key: "userid"
        });
        var auth = api.getPrefs({
            sync: true,
            key: "auth"
        });
        console.log("uid=" + uid);
        if (!uid || !auth) {
            openpage("../html/login.html", "login", {
                laiyuan: laiyuan
            });
            return false
        }
        api.showProgress({
            title: "请求中",
            text: "",
            modal: false
        });
        $api.post(appsetting.apiurl + "index.php?m=Member&c=Appusercp&a=get_bind_taobao", {
            values: {
                source: source,
                auth: appsetting.auth
            }
        }, function(data, err) {
            api.hideProgress();
            var obj = data;
            console.log('绑定的帐号='+$api.jsonToStr(data))
            if (obj.num < 1) {
                var d = dialog({
                    content: "",
                    fixed: true
                }).width(api.winWidth * .8).showModal();
                var html = '<div id="tbbox">';
                d.title("请先绑定" + sname + "账号");
                if (source == 1 || source == 2 || source == 7) {
                    d.content(html + '<label><input type="text" id="bindtaobao" placeholder="在此输入' + sname + '会员名" ></label><label style="display:block;"><input type="text" required id="bindtaobao_qq" placeholder="在此填写QQ" ></label></div>')
                } else {
                    d.content(html + '<label style="display:block;">' + sname + '会员:<input type="text" id="bindtaobao" required placeholder="在此填写' + sname + '会员名" ></label><label style="display:block;">填写QQ:<input type="text" required id="bindtaobao_qq" placeholder="在此填写QQ" ></label><label style="display:block;">注册时间:<input type="date" value="2018-01-01" id="bindtaobao_time"></label><label style="display:block;margin:12px auto;border:none" onclick="order.xinyudengji(this)" id="bindtaobao_xydjlable" tapmode>点击选择信誉等级</label><input id="bindtaobao_xydj" type="hidden"></div>')
                }
            } else {
                order.tj_chek(uid, oid, source, sname);
                return false
            }
            d.button([{
                value: "取消"
            }, {
                value: "确定",
                callback: function() {
                    var account = $("#bindtaobao").val();
                    var qq = $("#bindtaobao_qq").val();
                    if (!account) {
                        error("请填写" + sname + "账号！");
                        return false
                    }
                    if (!qq) {
                        error("请填写QQ号！");
                        return false
                    }
                    var postdata = {
                        account: account,
                        source: source,
                        sname: sname,
                        qq: qq,
                        auth: auth
                    };
                    console.log("postdata=" + $api.jsonToStr(postdata));
                    if (source != 1 && source != 2 && source != 7) {
                        postdata.time = $("#bindtaobao_time").val();
                        postdata.xydj = $("#bindtaobao_xydj").val()
                    }
                    if (typeof api !== "undefined") {
                        api.showProgress({
                            title: "请求中",
                            text: "",
                            modal: false
                        })
                    }
                    $api.post(appsetting.apiurl + "index.php?m=member&c=Appattesta&a=newbindtaobao", {
                        values: postdata
                    }, function(data) {
                        api.hideProgress();
                        var obj = data;
                        console.log("newbindtaobao=" + $api.jsonToStr(data));
                        if (obj.msg == "ok") {
                            order.newtj_chek(uid, oid, source, sname, account, data.sid, laiyuan)
                        } else {
                            error("绑定失败:" + obj.msg)
                        }
                    })
                }
            }])
        })
    },
    newtj_chek: function(uid, oid, source, sname, account, sid, laiyuan) {
        if (!uid) {
            openpage("../html/login.html", "login", {
                laiyuan: laiyuan
            });
            return false
        }
        var auth = api.getPrefs({
            sync: true,
            key: "auth"
        });
        var d = dialog({
            content: "",
            title: "使用" + sname + "帐号",
            fixed: true
        }).width(api.winWidth * .8).showModal();
        var html = '<div id="tbbox">';
        var talk_content;
        d.content(html + '<label><input type="radio" name="tb_account" checked value="' + sid + '"/><span></span>&nbsp;' + account + "</label></div>");
        d.button([{
            value: "取消"
        }, {
            value: "确定",
            callback: function() {
                var content = $("#tbbox [name='talk_content']").val();
                if (typeof content !== "undefined") {
                    talk_content = content
                } else {
                    if (!account) {
                        error("请选择" + sname + "账号！");
                        return false
                    }
                    d.content(html + '<textarea class="aui-font-size-12" rows="3" cols="20" name="talk_content" placeholder="对商家说点什么，可以帮助您提高通过率"></textarea>' + "</div>")
                }
                if (!!sid && typeof talk_content !== "undefined") {
                    api.showProgress({
                        title: "请求中",
                        text: "",
                        modal: false
                    });
                    $api.post(appsetting.apiurl + "index.php?m=product&c=Appapi&a=pay_submit", {
                        values: {
                            goods_id: oid,
                            bind_taobao: sid,
                            talk_content: talk_content,
                            auth: auth
                        }
                    }, function(data) {
                        api.hideProgress();
                        var obj = data;
                        if (obj.msg == "ok") {
                            if (obj.url) {
                                api.execScript({
                                    name: "root",
                                    frameName: "wode",
                                    script: "location.reload()"
                                });
                                succes(obj.info, obj.url, 1)
                            } else {
                                succes_refresh(obj.info)
                            }
                        } else {
                            if (/qq/i.test(obj.info)) {
                                d.close();
                                order.bindqq(uid, oid, source, sname, laiyuan);
                                return false
                            } else {
                                error(obj.info)
                            }
                        }
                    });
                    return true
                } else {
                    return false
                }
            }
        }])
    },
    bindqq: function(uid, oid, source, sname, laiyuan) {
        var auth = api.getPrefs({
            sync: true,
            key: "auth"
        });
        var d = dialog({
            title: "此商品需要绑定QQ,绑定后重新申请",
            content: "",
            fixed: true
        }).width(api.winWidth * .8).showModal();
        var html = '<div id="tbbox">';
        d.content(html + '<label><input type="text" id="bindqq" placeholder="在此输入QQ号" /></label></div>');
        d.button([{
            value: "取消"
        }, {
            value: "确定",
            callback: function() {
                var qq = $("#bindqq").val();
                if (!qq) {
                    error("请输入QQ号");
                    return false
                }
                api.showProgress({
                    title: "请求中",
                    text: "",
                    modal: false
                });
                $api.post(appsetting.apiurl + "index.php?m=member&c=attesta&a=set_qq", {
                    values: {
                        qq: qq,
                        auth: auth
                    }
                }, function(data) {
                    api.hideProgress();
                    if (data.errorcode) {
                        error(data.msg);
                        return false
                    } else {
                        order.tj_chek(uid, oid, source, sname, laiyuan)
                    }
                })
            }
        }])
    },
    xinyudengji: function(el) {
        var html = '<div id="xuanzexydj"><div><img onclick="order.setxydj(1)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_1.gif"></div><div><img onclick="order.setxydj(2)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_2.gif"></div><div><img onclick="order.setxydj(3)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_3.gif"></div><div><img onclick="order.setxydj(4)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_4.gif"></div><div><img onclick="order.setxydj(5)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_5.gif"></div><div><img onclick="order.setxydj(6)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_6.gif"></div><div><img onclick="order.setxydj(7)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_7.gif"></div><div><img onclick="order.setxydj(8)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_8.gif"></div><div><img onclick="order.setxydj(9)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_9.gif"></div><div><img onclick="order.setxydj(10)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_10.gif"></div><div><img onclick="order.setxydj(11)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_11.gif"></div><div><img onclick="order.setxydj(12)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_12.gif"></div><div><img onclick="order.setxydj(13)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_13.gif"></div><div><img onclick="order.setxydj(14)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_14.gif"></div><div><img onclick="order.setxydj(15)"  src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_15.gif"></div></div>';
        $("body").append(html)
    },
    setxydj: function(dengji) {
        $("#bindtaobao_xydj").val(dengji);
        $("#bindtaobao_xydjlable").html('<img src="https://m.zhuashi.net/templates/cloud5/static/level/level_1_' + dengji + '.gif">');
        $("#xuanzexydj").remove()
    },
    add_daan: function(id) {
        var content = $.trim($("[name='daan']").val());
        if (!content) {
            error("请填写答案");
            return false
        }
        post("/index.php?m=Task&c=Index&a=answer", {
            id: id,
            content: content
        }, function(data) {
            var obj = typeof data === "string" ? JSON.parse(data) : data;
            if (obj.status == 1) {
                succes_refresh(obj.info)
            } else {
                error(obj.info)
            }
        })
    },
    zhao_daan: function(url) {
        console.log(url)
    },
    close: function(oid, userid) {
        $.get("/index.php?m=member&c=order&a=close_alert&id=" + oid, function(content) {
            content = content.replace(/<td>\s*?<select.*?select>/gim, '<td tapmode id="cause"   onclick="showyuanyin()"><span>自己原因</span>&#8693;');
            var d = dialog({
                lock: true,
                fixed: true,
                title: "订单关闭",
                id: "close_alert",
                content: content,
                ok: function() {
                    console.log($("#ajaxForm").serialize());
                    var cause = "&casue=" + $("#newcause").val();
                    $.post("/index.php?m=member&c=order&a=close", $("#ajaxForm").serialize() + cause, function(ret) {
                        if (ret.status == 1) {
                            succes_refresh(ret.info)
                        } else {
                            error(ret.info)
                        }
                    })
                }
            }).show()
        }, "html")
    },
    fill_trade_no: function(oid) {
        var d = dialog({
            title: "修改订单号",
            content: '<input name="trade_no" id="trade_no" value="" style="border: 1px solid #eee; line-height: 1rem; height: 1rem; width:95%;    border-radius: 4px;" />',
            ok: function() {
                var trade_no = $.trim($("#trade_no").val());
                if (trade_no.length < 4 || trade_no.length > 40) {
                    error("请输入正确的订单号");
                    return
                }
                post("/index.php?m=order&c=api&a=fill_sn", {
                    order_sn: trade_no,
                    order_id: oid
                }, function() {
                    d.close();
                    if (ret.status == 1) {
                        succes_refresh("修改成功！")
                    } else {
                        error(ret.info)
                    }
                });
                console.log(trade_no)
            }
        }).width($(window).width() * .8).showModal()
    },
    applyAsk: function(id, laiyuan, el) {
        if ($api.attr(el, "data-res") > 0) {
            return false
        }
        var auth = api.getPrefs({
            sync: true,
            key: "auth"
        });
        var userid = api.getPrefs({
            sync: true,
            key: "userid"
        });
        if (userid <= 0) {
            openpage("./login.html", "login", {
                laiyuan: laiyuan
            });
            return false
        }
        console.log("id====" + id);
        $api.post(appsetting.apiurl + "index.php?m=Task&c=App&a=checkuser", {
            values: {
                id: id,
                auth: auth
            }
        }, function(data) {
            console.log($api.jsonToStr(data));
            if (data.code < 1) {
                $api.attr(el, "data-res", 1);
                $api.text(el, "等待审核资格");
                console.log("++++++++++++++++++++++++++");
                succes("抢购成功！")
            } else {
                error(data.msg)
            }
        })
    },
    open_answer: function(id, var1, var2, el) {
        var auth = api.getPrefs({
            sync: true,
            key: "auth"
        });
        var userid = api.getPrefs({
            sync: true,
            key: "userid"
        });
        var collection = false,
            shopcar = false,
            other = "",
            html = "";
        console.log("var1=" + var1);
        console.log("var2=" + var2);
        if (var1) {
            if (var1 == "1") {
                collection = true
            } else {
                shopcar = true
            }
        }
        if (var2) {
            shopcar = true
        }
        if (userid < 1 || !auth) {
            openpage("../html/login.html", "login", {
                laiyuan: laiyuan
            });
            return false
        }
        if (collection) {
            other += '<span style="width: 80px; height: 100px;display: inline-block;position: relative;" class="uploader-img1" >        \t<img src="/templates/cloud5/static/images/uploadimg.png" id="check_img_img1" alt="" width="80" height="80" >        \t<input type="hidden" name="check_img1" id="check_img1" value="" />        \t<h6 style="text-align:center">加收藏</h6>        \t</span><script>new Uploader(".uploader-img1","#check_img_img1","#check_img1");<\/script>'
        }
        if (shopcar) {
            other += '<span  style="width: 80px; height: 100px;display: inline-block;position: relative;" class="uploader-img2" >        \t<img src="/templates/cloud5/static/images/uploadimg.png" id="check_img_img2" alt="" width="80" height="80" >        \t<input type="hidden" name="check_img2" id="check_img2" value="" />        \t<h6 style="text-align:center">加购物车</h6>        \t</span><script>new Uploader(".uploader-img2","#check_img_img2","#check_img2");<\/script>'
        }
        html = '<form>        <div><input type="text" size="30" name="daan" id="daan" placeholder="请1小时内回填答案，过期自动取消"/></div>        <div style="display: block;width:100%;">' + other + '</div>        <div><p style="text-align:center;font-size:14px; color:#DF0509">严禁通过旺旺向商家索要答案！</p></div>        </form>';
        var d = dialog({
            title: "提交答案",
            content: html,
            ok: function() {
                var content = $("#daan").val();
                var img1 = "";
                var img2 = "";
                if (collection) {
                    img1 = $("#check_img1").val();
                    if (!img1) {
                        error("请上传加收藏截图");
                        return false
                    }
                }
                if (shopcar) {
                    img2 = $("#check_img2").val();
                    if (!img2) {
                        error("请上传加购物车截图");
                        return false
                    }
                }
                if (!content) {
                    error("请填写答案");
                    return false
                }
                $api.post(appsetting.apiurl + "index.php?m=Task&c=App&a=answer", {
                    values: {
                        content: content,
                        id: id,
                        img1: img1,
                        img2: img2,
                        auth: auth
                    }
                }, function(ret) {
                    if (ret.code < 1) {
                        $api.text(el, "回答正确");
                        succes("回答正确，请等待商家付款！")
                    } else {
                        error(ret.info)
                    }
                })
            }
        }).width(api.winWidth * .8).showModal()
    }
};

function openshare() {
    if (shareing === 1) {
        return false
    }
    shareing = 1;
    var dialogBox = api.require("dialogBox");
    dialogBox.actionMenu({
        rect: {
            h: 150
        },
        texts: {
            cancel: "取消"
        },
        tapClose: false,
        items: [{
            text: "微信",
            icon: "widget://image/share/wx.png"
        }, {
            text: "朋友圈",
            icon: "widget://image/share/wx-circle.png"
        }, {
            text: "QQ",
            icon: "widget://image/share/qq.png"
        }, {
            text: "Qzone",
            icon: "widget://image/share/qzone.png"
        }, {
            text: "复制链接",
            icon: "widget://image/share/fuzhi.png"
        }],
        styles: {
            bg: "#FFF",
            column: 5,
            itemText: {
                color: "#000",
                size: 12,
                marginT: 8
            },
            itemIcon: {
                size: 50
            },
            cancel: {
                bg: "#fff",
                color: "#000",
                h: 50,
                size: 14
            }
        }
    }, function(ret) {
        if (ret.eventType == "click") {
            switch (ret.index) {
                case 0:
                case 1:
                    var wx = api.require("wx");
                    wx.isInstalled(function(hasret) {
                        if (!hasret.installed) {
                            api.toast({
                                msg: "当前设备未安装微信客户端",
                                location: "middle"
                            });
                            return false
                        } else {
                            wx.shareWebpage({
                                apiKey: "wx4e0ae521b4918b82",
                                scene: ret.index == 1 ? "timeline" : "session",
                                title: sharedata.title,
                                thumb: sharedata.thumb,
                                description: sharedata.description,
                                contentUrl: sharedata.contentUrl
                            }, function(ret, err) {
                                if (ret.status) {
                                    sharejl(sharedata.good_id);
                                    api.toast({
                                        msg: "分享成功",
                                        location: "middle"
                                    })
                                } else {
                                    api.toast({
                                        msg: "分享未成功",
                                        location: "middle"
                                    })
                                }
                            })
                        }
                    });
                    shareing = 0;
                    break;
                case 2:
                case 3:
                    var qq = api.require("QQPlus");
                    qq.installed(function(hasret) {
                        if (!hasret.status) {
                            api.toast({
                                msg: "当前设备没有安装QQ",
                                location: "middle"
                            });
                            return false
                        } else {
                            qq.shareNews({
                                url: sharedata.contentUrl,
                                title: sharedata.title,
                                description: sharedata.description,
                                imgUrl: api.systemType == "android" ? sharedata.azthumb : sharedata.thumb,
                                type: ret.index == 2 ? "QFriend" : "QZone"
                            }, function(ret, err) {
                                if (ret.status) {
                                    sharejl(sharedata.good_id)
                                } else {
                                    api.toast({
                                        msg: "分享未成功",
                                        location: "middle"
                                    })
                                }
                            })
                        }
                    });
                    shareing = 0;
                    break;
                case 4:
                    var clipBoard = api.require("clipBoard");
                    clipBoard.set({
                        value: sharedata.contentUrl
                    }, function(ret, err) {
                        if (ret) {
                            api.toast({
                                msg: "复制成功！",
                                location: "middle"
                            })
                        } else {
                            api.toast({
                                msg: err.msg
                            })
                        }
                    });
                    shareing = 0;
                    break
            }
            shareing = 0;
            dialogBox.close()
        } else {
            shareing = 0;
            dialogBox.close()
        }
    })
}

function showorhide(id) {
    if ($api.hasCls($api.byId("item-" + id), "current")) {
        return false
    }
    $api.addCls($api.byId("item-" + id), "current");
    $api.removeCls($api.byId("item-" + id + "-div"), "none");
    var ac = [];
    switch (id) {
        case 1:
            ac = [2, 3];
            break;
        case 2:
            ac = [1, 3];
            break;
        case 3:
            ac = [1, 2];
            break
    }
    ac.forEach(function(item) {
        $api.removeCls($api.byId("item-" + item), "current");
        $api.addCls($api.byId("item-" + item + "-div"), "none")
    })
}
